summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/bootstrap-mysql4
-rwxr-xr-xbin/build-master-status4
-rwxr-xr-xbin/build-packages4
-rwxr-xr-xbin/check-bugtracker4
-rwxr-xr-xbin/check-db-structure4
-rwxr-xr-xbin/check-opcodes4
-rwxr-xr-xbin/clean-cache4
-rwxr-xr-xbin/clean-git4
-rwxr-xr-xbin/cleanup4
-rwxr-xr-xbin/copy-to-build-support4
-rwxr-xr-xbin/db-update4
-rwxr-xr-xbin/delete-packages4
-rwxr-xr-xbin/filter-build-logs4
-rwxr-xr-xbin/find-obsolete-packages4
-rwxr-xr-xbin/get-assignment4
-rwxr-xr-xbin/get-package-updates4
-rwxr-xr-xbin/ii-answer4
-rwxr-xr-xbin/ii-connect4
-rwxr-xr-xbin/interpret-mail4
-rwxr-xr-xbin/modify-package-state4
-rwxr-xr-xbin/ping-from-slave4
-rwxr-xr-xbin/ping-to-master4
-rwxr-xr-xbin/prioritize-build-list4
-rwxr-xr-xbin/return-assignment4
-rwxr-xr-xbin/sanity-check4
-rwxr-xr-xbin/seed-build-list4
-rwxr-xr-xbin/show-dependencies4
-rwxr-xr-xbin/slave-build-connect4
-rwxr-xr-xbin/why-dont-you4
29 files changed, 58 insertions, 58 deletions
diff --git a/bin/bootstrap-mysql b/bin/bootstrap-mysql
index c3d7080..f05ffe8 100755
--- a/bin/bootstrap-mysql
+++ b/bin/bootstrap-mysql
@@ -2,8 +2,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
exec 9> "${build_list_lock_file}"
if ! verbose_flock -n 9; then
diff --git a/bin/build-master-status b/bin/build-master-status
index d1382c7..c019a37 100755
--- a/bin/build-master-status
+++ b/bin/build-master-status
@@ -4,8 +4,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
tmp_dir=$(mktemp -d 'tmp.build-master-status.XXXXXXXXXX' --tmpdir)
trap 'rm -rf --one-file-system "${tmp_dir}"' EXIT
diff --git a/bin/build-packages b/bin/build-packages
index 3d5d2d1..da0ed16 100755
--- a/bin/build-packages
+++ b/bin/build-packages
@@ -6,8 +6,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# TODO: build other 'architectures', too (pentium4, i486)
diff --git a/bin/check-bugtracker b/bin/check-bugtracker
index 75f4995..53d8ffb 100755
--- a/bin/check-bugtracker
+++ b/bin/check-bugtracker
@@ -6,8 +6,8 @@
# shellcheck disable=SC2039,SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
bug_list=$(
curl -LSs 'https://bugs.archlinux32.org/index.php?export_list=Export%20Tasklist' | \
diff --git a/bin/check-db-structure b/bin/check-db-structure
index 7354bf4..436ce00 100755
--- a/bin/check-db-structure
+++ b/bin/check-db-structure
@@ -2,8 +2,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# stored functions
diff --git a/bin/check-opcodes b/bin/check-opcodes
index feaffc3..5965d50 100755
--- a/bin/check-opcodes
+++ b/bin/check-opcodes
@@ -2,8 +2,8 @@
# shellcheck disable=SC2086,SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
usage( ) {
>&2 cat <<EOF
diff --git a/bin/clean-cache b/bin/clean-cache
index 251d1de..b83e30f 100755
--- a/bin/clean-cache
+++ b/bin/clean-cache
@@ -2,8 +2,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
if [ $# -eq 0 ]; then
dummynator='sudo'
diff --git a/bin/clean-git b/bin/clean-git
index 9c27958..03e4701 100755
--- a/bin/clean-git
+++ b/bin/clean-git
@@ -4,8 +4,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
for repo in ${repo_names}; do
eval 'repo_path="${repo_paths__'"${repo}"'}"'
diff --git a/bin/cleanup b/bin/cleanup
index 2ee6397..09a823b 100755
--- a/bin/cleanup
+++ b/bin/cleanup
@@ -4,8 +4,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# TODO: clean database, too
diff --git a/bin/copy-to-build-support b/bin/copy-to-build-support
index fc79055..9253fd8 100755
--- a/bin/copy-to-build-support
+++ b/bin/copy-to-build-support
@@ -6,8 +6,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# shellcheck disable=SC2016
usage() {
diff --git a/bin/db-update b/bin/db-update
index 2351c77..33a1436 100755
--- a/bin/db-update
+++ b/bin/db-update
@@ -19,8 +19,8 @@
# shellcheck disable=SC2039,SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# shellcheck disable=SC2016
usage() {
diff --git a/bin/delete-packages b/bin/delete-packages
index 0065752..116b12d 100755
--- a/bin/delete-packages
+++ b/bin/delete-packages
@@ -11,8 +11,8 @@
# shellcheck disable=SC2039,SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# TODO: delete other to-be-deleted packages if asked to do so
diff --git a/bin/filter-build-logs b/bin/filter-build-logs
index fb71154..9671376 100755
--- a/bin/filter-build-logs
+++ b/bin/filter-build-logs
@@ -4,8 +4,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
{
printf '%s\n' \
diff --git a/bin/find-obsolete-packages b/bin/find-obsolete-packages
index c965447..a5372a9 100755
--- a/bin/find-obsolete-packages
+++ b/bin/find-obsolete-packages
@@ -2,8 +2,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
usage() {
>&2 echo ''
diff --git a/bin/get-assignment b/bin/get-assignment
index 1c67279..ba80798 100755
--- a/bin/get-assignment
+++ b/bin/get-assignment
@@ -14,8 +14,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# TODO: honor manual build order of tool-chain:
# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
diff --git a/bin/get-package-updates b/bin/get-package-updates
index 59ec019..cfc0f74 100755
--- a/bin/get-package-updates
+++ b/bin/get-package-updates
@@ -6,8 +6,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# TODO: Find out, why sometimes package updates are missed.
diff --git a/bin/ii-answer b/bin/ii-answer
index 1e30ec1..f7c2d20 100755
--- a/bin/ii-answer
+++ b/bin/ii-answer
@@ -4,8 +4,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# welcome devs (in #archlinux32 only)
welcome_user_regex='^\S\+ -!- \(abaumann\|deep42thought\|tyzoid\|phrik\)(.* has joined \S\+$'
diff --git a/bin/ii-connect b/bin/ii-connect
index 45eff65..4b9ecec 100755
--- a/bin/ii-connect
+++ b/bin/ii-connect
@@ -4,8 +4,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# start ii if it is not running
if ! pgrep -x ii > /dev/null; then
diff --git a/bin/interpret-mail b/bin/interpret-mail
index a931cb7..e45c38f 100755
--- a/bin/interpret-mail
+++ b/bin/interpret-mail
@@ -2,8 +2,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# TODO: enable email interface to delete packages
diff --git a/bin/modify-package-state b/bin/modify-package-state
index 2ca2178..d5a201f 100755
--- a/bin/modify-package-state
+++ b/bin/modify-package-state
@@ -2,8 +2,8 @@
# shellcheck disable=SC2039,SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# shellcheck disable=SC2016
usage() {
diff --git a/bin/ping-from-slave b/bin/ping-from-slave
index 5ba8395..bb569dd 100755
--- a/bin/ping-from-slave
+++ b/bin/ping-from-slave
@@ -7,8 +7,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# TODO: receive/save some statistics about current build
diff --git a/bin/ping-to-master b/bin/ping-to-master
index 11dc7b8..3979656 100755
--- a/bin/ping-to-master
+++ b/bin/ping-to-master
@@ -7,8 +7,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# TODO: abort build if requested to
diff --git a/bin/prioritize-build-list b/bin/prioritize-build-list
index f5687e6..187cf29 100755
--- a/bin/prioritize-build-list
+++ b/bin/prioritize-build-list
@@ -2,8 +2,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
if [ $# -ne 1 ]; then
echo 'Usage: prioritize-build-list pkg-regex'
diff --git a/bin/return-assignment b/bin/return-assignment
index dd13925..fdb7e1c 100755
--- a/bin/return-assignment
+++ b/bin/return-assignment
@@ -18,8 +18,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
if [ -s "${work_dir}/build-master-sanity" ]; then
>&2 echo 'Build master is not sane.'
diff --git a/bin/sanity-check b/bin/sanity-check
index d5b86db..bfe6400 100755
--- a/bin/sanity-check
+++ b/bin/sanity-check
@@ -4,8 +4,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
usage() {
>&2 echo ''
diff --git a/bin/seed-build-list b/bin/seed-build-list
index 7540f14..3a71429 100755
--- a/bin/seed-build-list
+++ b/bin/seed-build-list
@@ -4,8 +4,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# shellcheck disable=SC2016
usage() {
diff --git a/bin/show-dependencies b/bin/show-dependencies
index 111a41b..7eb4ead 100755
--- a/bin/show-dependencies
+++ b/bin/show-dependencies
@@ -2,8 +2,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# TODO: can this be faster?
diff --git a/bin/slave-build-connect b/bin/slave-build-connect
index d22597b..7d01e4c 100755
--- a/bin/slave-build-connect
+++ b/bin/slave-build-connect
@@ -2,8 +2,8 @@
# shellcheck disable=SC2119,SC2120
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
if [ "x${SSH_ORIGINAL_COMMAND%% *}" = 'xget-assignment' ] || \
[ "x${SSH_ORIGINAL_COMMAND%% *}" = 'xreturn-assignment' ] || \
diff --git a/bin/why-dont-you b/bin/why-dont-you
index f31c38c..7117bed 100755
--- a/bin/why-dont-you
+++ b/bin/why-dont-you
@@ -6,8 +6,8 @@
# investigate, why a certain operation is not done with certain packages
-# shellcheck source=../conf/default.conf
-. "${0%/*}/../conf/default.conf"
+# shellcheck source=../lib/load-configuration
+. "${0%/*}/../lib/load-configuration"
# TODO: reintrocude "keep", "stubbornly_keep", "stabilize" and "unstage"
# using information from the database.